# Re: Which libraries are needed to compile ?

Laurent GRAWET (laurent.grawet@europe.com)
Tue, 13 Apr 1999 01:34:08 +0200

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Bjoern Buerger: "Re: Mustek1200SP Firmware-1.05 same with FW-1.2"
- Previous message: Jochen Baltes: "Re: Mustek1200SP Firmware-1.05 same with FW-1.2"
- Maybe in reply to: Laurent GRAWET: "Which libraries are needed to compile ?"

Dr. Andreas Bolsch wrote:
>
> What do you mean by 'errors in config.log' ??? If there are just
> some searches answered with 'no': That's (usually) not an error.
> Just the opposite. Configure's duty is precisely to take care of
> these platform dependencies and to supply a workaround.
>
> If 'make' exits sucessfully then there is probably nothing missing.
> scanimage depends only on standard stuff, so if compiles but
> doesn't work then you've got a problem with the SCSI interface/driver
> or the scanner/backend, but not with any missing library.
>
> --
> Source code, list archive, and docs: http://www.mostang.com/sane/
> To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

Here's some kind of errors I get (I don't think it's normal !?!)

configure:1221: checking for working const
configure:1275: gcc -c -g -O2 -Wall -D_GNU_SOURCE conftest.c 1>&5
configure: In function `main':
configure:1249: warning: unused variable `s'
configure:1269: warning: unused variable `foo'
configure:1237: warning: unused variable `zero'
configure:1231: warning: unused variable `x'
configure:1248: warning: `t' might be used uninitialized in this
function
configure:1266: warning: `b' might be used uninitialized in this
function
configure:1296: checking for inline
configure:1310: gcc -c -g -O2 -Wall -D_GNU_SOURCE conftest.c 1>&5
configure: In function `main':
configure:1306: warning: control reaches end of non-void function
configure: At top level:
configure:1306: warning: return-type defaults to `int'
configure:1336: checking return type of signal handlers
configure:1358: gcc -c -g -O2 -Wall -D_GNU_SOURCE conftest.c 1>&5
configure: In function `main':
configure:1354: warning: unused variable `i'
configure:1377: checking for size_t
configure:1410: checking for pid_t
configure:1443: checking for ssize_t
configure:1476: checking for u_char
configure:1509: checking for u_int
configure:1542: checking for u_long
configure:1605: checking for scsireq_enter in -lscsi
configure:1624: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lscsi 1>&5
ld: cannot open -lscsi: No such file or directory
configure: failed program was:
#line 1613 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char scsireq_enter();

int main() {
scsireq_enter()
; return 0; }
configure:1652: checking for sqrt in -lm
configure:1671: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lm 1>&5
configure:1664: warning: conflicting types for built-in function `sqrt'
configure:1699: checking for gettext in -lintl
configure:1718: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lintl -lm 1>&5
ld: cannot open -lintl: No such file or directory
configure: failed program was:
#line 1707 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char gettext();

int main() {
gettext()
; return 0; }
configure:1746: checking for syslog in -lsyslog
configure:1765: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lsyslog -lm 1>&5
ld: cannot open -lsyslog: No such file or directory
configure: failed program was:
#line 1754 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char syslog();

int main() {
syslog()
; return 0; }
configure:1793: checking for jpeg_start_decompress in -ljpeg
configure:1812: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-ljpeg -lm 1>&5
configure:1842: checking for gethostbyaddr in -lnsl
configure:1861: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lnsl -ljpeg -lm 1>&5
configure:1889: checking for socket in -lsocket
configure:1908: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lsocket -lnsl -ljpeg -lm 1>&5
ld: cannot open -lsocket: No such file or directory
configure: failed program was:
#line 1897 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char socket();

int main() {
socket()
; return 0; }
configure:1940: checking for working alloca.h
configure:1952: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lnsl -ljpeg -lm 1>&5
configure: In function `main':
configure:1948: warning: unused variable `p'
configure:1973: checking for alloca
configure:2001: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lnsl -ljpeg -lm 1>&5
configure: In function `main':
configure:1997: warning: unused variable `p'
configure:2172: checking for unistd.h
configure:2211: checking for getpagesize
configure:2239: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lnsl -ljpeg -lm 1>&5
configure:2264: checking for working mmap
configure:2412: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lnsl -ljpeg -lm 1>&5
configure: In function `main':
configure:2353: warning: implicit declaration of function `getpagesize'
configure:2362: warning: implicit declaration of function `rand'
configure:2363: warning: implicit declaration of function `umask'
configure:2367: warning: implicit declaration of function `write'
configure:2369: warning: implicit declaration of function `close'
configure:2400: warning: implicit declaration of function `read'
configure:2406: warning: implicit declaration of function `unlink'
configure:2439: checking for atexit
configure:2467: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lnsl -ljpeg -lm 1>&5
configure:2439: checking for ioperm
configure:2467: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lnsl -ljpeg -lm 1>&5
configure:2439: checking for mkdir
configure:2467: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lnsl -ljpeg -lm 1>&5
configure:2439: checking for scsireq_enter
configure:2467: gcc -o conftest -g -O2 -Wall -D_GNU_SOURCE conftest.c
-lnsl -ljpeg -lm 1>&5
/tmp/cca168961.o: In function `main':
/usr/src/sane-pre1.01/configure:2461: undefined reference to
`scsireq_enter'
configure: failed program was:
#line 2444 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char scsireq_enter(); below. */
#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char scsireq_enter();

int main() {

/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
#if defined (__stub_scsireq_enter) || defined (__stub___scsireq_enter)
choke me
#else
scsireq_enter();
#endif

; return 0; }

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: Bjoern Buerger: "Re: Mustek1200SP Firmware-1.05 same with FW-1.2"
- Previous message: Jochen Baltes: "Re: Mustek1200SP Firmware-1.05 same with FW-1.2"
- Maybe in reply to: Laurent GRAWET: "Which libraries are needed to compile ?"